RPYC_CLASSIC(1)

NAME
rpyc_registry - RPyC registry

SYNOPSIS
rpyc_registry [options]

DESCRIPTION
RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent Python library for symmetrical remote procedure calls, clustering and distributed-computing. RPyC makes use of object-proxying, a technique that employs Python’s dynamic nature, to overcome the physical boundaries between processes and computers, so that remote objects can be manipulated as if they were local.

rpyc_registry provides a way for clients to discover running instances of rpyc_classic(1) servers. The following options are available:

--mode MODE, -m MODE
    Choose registry service type. Can be TCP or UDP (the default).

--port PORT, -p PORT
    Choose the UDP/TCP listener port for the registry. The default is 18811.

--timeout SECS, -t SECS
    Set a timeout after which unresponsive servers will be removed from the registry. The default is 240 seconds.

--logfile FILE
    Write log to FILE. If not specified, log output is written to stderr.

--quiet, -q
    Quiet mode. Only errors will be logged.

SEE ALSO
rpyc_classic(1)

AUTHOR
This manual page was written for Debian by Timo Röhling and may be used without restriction.